> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Emergency Locations

> List emergency locations for a tenant with optional name filter and pagination



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/emergency-locations/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/emergency-locations/:
    get:
      tags:
        - Emergency Locations
      summary: List Emergency Locations
      description: >-
        List emergency locations for a tenant with optional name filter and
        pagination
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: tenantId
          required: true
          description: Tenant ID
        - schema:
            type: string
            maxLength: 255
          in: query
          name: query
          required: false
          description: Search locations by name
        - schema:
            type: string
            minLength: 1
          in: query
          name: name
          required: false
          description: Filter by location name
        - schema:
            type: string
            maxLength: 50
          in: query
          name: sortBy
          required: false
          description: Sort column
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: sortDirection
          required: false
          description: Sort direction
        - schema:
            default: 1
            type: integer
            minimum: 0
            maximum: 1
          in: query
          name: paginated
          required: false
          description: 1 = paginated response, 0 = full list
        - schema:
            type: number
          in: query
          name: page
          required: false
          description: Page number
        - schema:
            type: number
          in: query
          name: recordsPerPage
          required: false
          description: Records per page
      responses:
        '200':
          description: Paginated emergency locations
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Emergency location ID
                        tenantId:
                          type: number
                          description: Tenant ID
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Location name
                        address:
                          type: object
                          properties:
                            loc:
                              type: string
                              description: Latitude,longitude coordinates
                            city:
                              type: string
                              description: City
                            state:
                              type: string
                              description: Two-letter state code
                            location:
                              type: string
                              description: Location details (suite, floor, etc.)
                            streetNum:
                              type: string
                              description: Street number
                            postalCode:
                              type: string
                              description: Postal code
                            streetInfo:
                              type: string
                              description: Street name and type
                          required:
                            - loc
                            - city
                            - state
                            - location
                            - streetNum
                            - postalCode
                            - streetInfo
                          additionalProperties: false
                          description: Street address
                        addressId:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Telnyx dynamic emergency address ID
                        geolocationId:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Telnyx SIP geolocation ID
                      required:
                        - id
                        - tenantId
                        - name
                        - address
                        - addressId
                        - geolocationId
                      additionalProperties: false
                  page:
                    type: number
                  maxPage:
                    type: number
                  totalRecords:
                    type: number
                required:
                  - records
                  - page
                  - maxPage
                  - totalRecords
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````